summaryrefslogtreecommitdiff
path: root/dev-ruby/locale
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-ruby/locale
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-ruby/locale')
-rw-r--r--dev-ruby/locale/Manifest1
-rw-r--r--dev-ruby/locale/locale-2.1.4.ebuild51
-rw-r--r--dev-ruby/locale/metadata.xml11
3 files changed, 63 insertions, 0 deletions
diff --git a/dev-ruby/locale/Manifest b/dev-ruby/locale/Manifest
new file mode 100644
index 000000000000..51c580127df9
--- /dev/null
+++ b/dev-ruby/locale/Manifest
@@ -0,0 +1 @@
+DIST locale-2.1.4-git.tgz 100263 BLAKE2B 3ae8db5e940c850a10adbbafdbceab0c0e956e19be3b4442851983da44857adb8752fe1251a99c53fe6c6cf14ae4f3eb741afed2923f5d2b1503e968fdd8e156 SHA512 65f5fde22c4ab4dc404204aea8d87b53d5a2bca01fa860ac7953de3806d4ca69b36bc4fce28d57a6a9d04be5a10c2fdeadbbe10fc48fa0a495b0da4ccfc71626
diff --git a/dev-ruby/locale/locale-2.1.4.ebuild b/dev-ruby/locale/locale-2.1.4.ebuild
new file mode 100644
index 000000000000..f1ecb623e7c5
--- /dev/null
+++ b/dev-ruby/locale/locale-2.1.4.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc/reference"
+RUBY_FAKEGEM_EXTRADOC="ChangeLog README.rdoc doc/text/news.md"
+
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_GEMSPEC="locale.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A pure ruby library which provides basic APIs for localization"
+HOMEPAGE="https://github.com/ruby-gettext/locale"
+SRC_URI="https://github.com/ruby-gettext/locale/archive/${PV}.tar.gz -> ${P}-git.tgz"
+LICENSE="|| ( Ruby-BSD GPL-2 )"
+
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ppc ppc64 ~riscv ~sparc x86"
+IUSE="test"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 dev-ruby/test-unit-rr )"
+
+all_ruby_prepare() {
+ sed -i -e '/notify/ s:^:#:' test/run-test.rb || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ yard || die
+ fi
+}
+
+each_ruby_test() {
+ ${RUBY} test/run-test.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r samples
+}
diff --git a/dev-ruby/locale/metadata.xml b/dev-ruby/locale/metadata.xml
new file mode 100644
index 000000000000..2b2eb8fb071e
--- /dev/null
+++ b/dev-ruby/locale/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">ruby-gettext/locale</remote-id>
+ </upstream>
+</pkgmetadata>